Bug 399364 - SKR03 account template does not contain a flag for an opening balance account
Summary: SKR03 account template does not contain a flag for an opening balance account
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: importer (show other bugs)
Version: 4.8.2
Platform: Other All
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-04 07:32 UTC by Ralf Habacker
Modified: 2021-04-16 09:08 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.8.3,5.0.8
ralf.habacker: version_5_applied+
ralf.habacker: Version_5+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf Habacker 2018-10-04 07:32:20 UTC
Bug 370290 added support for a special opening balance account that is imported when creating a new file from a template. This flag is not set in the SKR03 template file. 

STEPS TO REPRODUCE
1. Start kmymoney
2. create new file
3. choose skr03 template
4. open properties of account '9000 Saldenvortrag Sachkonten'

OBSERVED RESULT
The opening balance account flag is not set

EXPECTED RESULT
The opening balance account flag should be set
Comment 1 Ralf Habacker 2018-10-04 07:35:46 UTC
Git commit 91ae94c7abbe26161dce9637aabe3db029ab535a by Ralf Habacker.
Committed on 04/10/2018 at 07:35.
Pushed by habacker into branch '4.8'.

Fix 'SKR03 account template does not contain a flag for an opening balance account'

This commit also adds accounts 9008 and 9009 to be in sync with skr04.kmt
FIXED-IN:4.8.3

M  +7    -0    kmymoney/templates/de_DE/skr03.kmt

https://commits.kde.org/kmymoney/91ae94c7abbe26161dce9637aabe3db029ab535a
Comment 2 Ralf Habacker 2018-10-04 09:38:33 UTC
Git commit 35e2f20b53f3dc04b35610eaf81063e2447d2ff9 by Ralf Habacker.
Committed on 04/10/2018 at 09:38.
Pushed by habacker into branch '4.8'.

Remove duplicated entries from skr03.kmt

Let kmymoney show a warning in case an imported account
was already present to be able to see duplicates.

M  +2    -0    kmymoney/converter/mymoneytemplate.cpp
M  +0    -7    kmymoney/templates/de_DE/skr03.kmt

https://commits.kde.org/kmymoney/35e2f20b53f3dc04b35610eaf81063e2447d2ff9
Comment 3 Ralf Habacker 2019-09-30 20:38:04 UTC
Git commit fdfa3814d9e9ce332c08355146de7af334df9224 by Ralf Habacker.
Committed on 30/09/2019 at 20:37.
Pushed by habacker into branch '5.0'.

Let kmymoney show a warning in case an imported account was already present to be able to see duplicates

(cherry picked from commit 35e2f20b53f3dc04b35610eaf81063e2447d2ff9)

M  +2    -0    kmymoney/converter/mymoneytemplate.cpp

https://commits.kde.org/kmymoney/fdfa3814d9e9ce332c08355146de7af334df9224